> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Start SMS Campaign

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

# Start SMS Campaign API

Use this API to start an active SMS campaign for a given stream ID and campaign ID.

| Method            | POST                                                                                                                             |
| :---------------- | :------------------------------------------------------------------------------------------------------------------------------- |
| **Endpoint**      | `https://{{host}}/campaign/api/v1/public/{{streamID}}/campaign/{{campaignId}}?campaignType={{campaignType}}&trigger={{trigger}}` |
| **Content-Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token)   |
| **API Scope**     | Campaign Management                                                                                                              |

## Path Parameters

| Parameter    | Description                                                         | Type             |
| :----------- | :------------------------------------------------------------------ | :--------------- |
| `host`       | Environment URL, for example, `https://platform.kore.ai`            | string, required |
| `streamId`   | Bot ID or Stream ID. You can get it from the general settings page. | string, required |
| `campaignId` | Unique identifier of the campaign to trigger.                       | string, required |

## Query Parameters

| Parameter      | Description                               | Type             |
| :------------- | :---------------------------------------- | :--------------- |
| `campaignType` | Type of campaign. Use `"sms"` for SMS.    | string, required |
| `trigger`      | Action to perform. Use `"play"` to start. | string, required |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/campaign/api/v1/public/{{IID}}/campaign/{{campaignId}}?campaignType={{campaignType}}&trigger={{trigger}}' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14b9xxxx' \
--header 'accountId: 67777ce93e25326494e9xxxx' \
--data '{}
'
```

## Headers

| Header      | Description                   | Required/Optional |
| :---------- | :---------------------------- | :---------------- |
| `auth`      | JWT token for authentication. | required          |
| `iid`       | The Application Id.           | required          |
| `accountId` | The Account Id.               | required          |

## Sample Response

```json theme={null}
{
  "status": "Active",
  "message": "Campaign Started",
  "updatedAt": "2025-06-26T14:37:50.069Z"
}
```

## Response Body Parameters

| Parameter   | Description                                                       | Type   |
| :---------- | :---------------------------------------------------------------- | :----- |
| `status`    | Indicates the current status of the campaign. For example, Active | string |
| `message`   | Success confirmation message. For example, Campaign Started       | string |
| `updatedAt` | ISO timestamp when the campaign was activated.                    | string |
